Korben, roi d’internet, logo bébé avec des lunettes en mode thug life

Comment activer les extensions que Firefox n'approuve pas ?


#1

http://korben.info/comment-activer-les-extensions-que-firefox-napprouve-pas.html
Quand mon Firefox beta s’est mis à jour vers la version 41, je n’ai pas tout de suite tilté qu’il me manquait quelques petites choses… En effet, sans vraiment prévenir, Firefox m’a bloqué de force certaines extensions (un bon paquet à vrai dire) car elles n’ont pas été “approuvées” par Firefox. Bon, pour être honnête…


#2

Le paramètre est déjà existant dans la 40.0.2 mais il est sur false par défaut donc le coup était prévu d’avance.

J’espère que la météo est bonne par chez toi parce qu’à lodève ça a bien baissé et les nuages sont de la partie depuis quelques jours.

Enjoy !


#3

Dans la 40.0 c’est sur false par défaut.

En même temps, vu le nombre conséquent d’extensions, l’obligation de les faire valider à chaque MAJ par leurs auteurs permet d’être sûr que les extensions ne sont pas abandonnées, et donc restent up to date…


#4

Je croyais que pour la version “normal” (pas beta) ce n’était pas désactivable…


#5

A moins de passer par about:config ce n’est pas desactivable oui. Et d’après les messages ci dessus c’est dans la version beta que c’est passé en force.


#6

J’avais carrément compris que même dans about on ne pourrait plus désactiver pour la version normale, que le coup du about était juste pour la beta.

Bref, nickel et merci :slight_smile:


#7

Ah non y’a pas de différences de fonctionnalités entre les versions beta et normales. C’est juste un glissement de versions + corrections de bugs


#8

Hello ;=)

selon ce que j’ai lu ce serait non contournable dés la v43.
Ca pourrait poser soucis en effet.

https://wiki.mozilla.org/Addons/Extension_Signing
"What are my options if I want to install unsigned extensions in Firefox?
The Developer Edition and Nightly versions of Firefox will have a setting to disable signature enforcement. There will also be special unbranded versions of Release and Beta that will have this setting, so that add-on developers can work on their add-ons without having to sign every build."


#9

J’ai créé un compte pour te remercier pour cette nième astuce ultra utile. Merci pour tous ces petits tips ! :wink:


#10

La plupart de tes extensions sont en fait validées sur AMO mais pour une raison que j’ignore, elles ne se mettent pas a jour automatiquement…
J’ai eu le même souci et après mise a jour manuelle, le problème est résolu :wink:

Greasemonkey et Lastpass sont signes, je n’ai pas vérifié les autres.

J’espère que l’info vous sera utile :smiley:


#11

C’est tout de même amusant, il bloque les extensions pour une raison de sécurité. Pourtant, c’est eux les premiers à modifier Windows en remplaçant Cortana :joy:


#12

Juste un grand merci, j’ai lu l’article ce matin et cet après-midi j’en ai besoin :smiley:
Une parfaite synchronicité !


#13

J’ai une petite question concernant les addons de firefox. Pourquoi m’est-il impossible de trouver dans leur catalogue de modules Firefogg et HTTPS-Everywhere ? Quelqu’un aurait-il une explication, sachant que cela ne vient pas des filtres de recherche sur leur site de téléchargement de modules ?


#14

Oui, c’est simple: ils n’ont pas mis leurs extensions sur le site mozilla addons (comme MEGA depuis la V2 d’ailleurs)


#15

bonjour ,je ne suis qu,un simple utilisateur pas informaticien rien de tout cela,ayant un probleme avec le plugin xpi j,ai suivi la procédure pour mettre en false le bidule sur firefox et il y était deja ,et mon plugins xpi ne veut toujours pas s,'installer,alors si vous avez une idée je suis preneur,d,avance merci .


#16

Bonjour,
Après avoir mis le fameux paramètre à false grâce à Korben (un grand merci au passage et pas seulement pour cette astuce…) depuis un moment, j’ai eu la surprise de voir mes extensions à nouveau bloquées (cf le post de @manchette qui avait déjà prévenu). Après un peu de lecture, j’ai donc trouvé la confirmation que depuis la version 48, il n’est plus possible de tourner avec des extensions non signées, même en désactivant le xpinstall.signatures.required
Je suis donc, comme @bricoleur601 preneur de toute nouveauté à ce sujet.


#17

https://wiki.mozilla.org/Add-ons/Extension_Signing

Firefox 48: (Pushed from Firefox 46). Release and Beta versions of Firefox for Desktop will not allow unsigned extensions to be installed, with no override.

Il faut utiliser une version Nightly, Developer ou Unbranded.


#18

bonjour pour ma part j’ai résolu une partie de mes problèmes ,car le plugin concerné xpi sert a voir les caméras sur firefox ,cela pour effectuer des taches sur la caméra,alerte ou autre choses,donc ma caméra une foscam , j’ai réussi a avoir foscam et il m’ont fourni un petit logiciel qui fait que maintenant plus de problèmes pour voir cette caméra, mais pour les autres plugins non signés cela est une autre histoire !!!


#19

Bonjour,
Tout compte fait, j’ai mis à jour l’application concernée et c’est bon. Encore un coup des éditeurs qui ont du se mettre d’accord avec Mozilla pour nous faire acheter les dernières versions de leurs logiciels ! :angry:
Merci à tous.


#20

Merci @Korben pour le tuto. Ce petit problème est toujours d’actualité dans la version 49.0.2 malheureusement :sweat:. Impossible d’installer un module complémentaire “corrumpu”. A bientôt Firefox #n00bMODE.